> ## Documentation Index
> Fetch the complete documentation index at: https://flutterwaveinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Virtual Card

> Fetch the details of a single virtual card



## OpenAPI

````yaml get /virtual-cards/{id}
openapi: 3.0.0
info:
  title: Flutterwave v3
  description: >-
    The Flutterwave for Business(F4B) APIs collection for all v3 endpoints with
    pre-formatted requests and response examples.
  contact: {}
  version: '1.0'
servers:
  - url: https://api.flutterwave.com/v3
    variables: {}
security:
  - bearer: []
tags:
  - name: Charges
    description: >-
      The charge APIs includes several payment collection methods to help you
      collect payments.
  - name: Tokenized Charges
    description: Tokenize your customers' cards with Flutterwave for faster payments
  - name: Preauthorization
    description: Manage preauth attemps on card transactions
  - name: Transactions
    description: Manage transactions, query statuses, logs and fees
  - name: Transfers
    description: Transfers to local and international customers
  - name: Beneficiaries
    description: Manage transfer beneficiaries
  - name: Virtual Cards
    description: Manage Flutterwave virtual cards
  - name: Virtual Account Numbers
    description: Manage virtual accounts
  - name: Collection Subaccounts
    description: Manage Collection Subaccounts
  - name: Payout Subaccounts
    description: Manage Payout Subaccounts
  - name: Subscriptions
    description: Manage user subscriptions
  - name: Payment Plans
    description: Manage Payment Plans
  - name: Bill Payments
    description: Manage Bill Payments
  - name: Banks
    description: Fetch Bank Information
  - name: Misc
    description: >-
      Verify user information like bank verification numbers, card bins, account
      information
  - name: Settlements
    description: Manage your settlements
  - name: Otps
    description: Create and manage one time passwords (OTPs) for your applications
  - name: Chargebacks
    description: Manage Chargebacks
paths:
  /virtual-cards/{id}:
    get:
      tags:
        - Virtual Cards
      summary: Get a Virtual Card
      description: Fetch the details of a single virtual card
      operationId: GetaVirtualCard
      parameters:
        - name: id
          in: path
          description: ''
          required: true
          style: simple
          schema:
            type: string
        - name: Content-Type
          in: header
          description: ''
          required: true
          style: simple
          schema:
            enum:
              - application/json
            type: string
            example: application/json
      responses:
        '200':
          description: OK
          headers:
            X-Powered-By:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Express
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '617'
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"269-eJkQFY9TgXgInc1FUPmDmA"
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Fri, 17 Jan 2020 18:52:17 GMT
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
          content:
            application/json; charset=utf-8:
              schema:
                allOf:
                  - $ref: '#/components/schemas/SuccessfulSampleResponse1'
                  - example:
                      status: success
                      message: Card fetched successfully
                      data:
                        id: 7dc7b98c-7f6d-48f3-9b31-859a145c8085
                        account_id: 65637
                        amount: 20,000.00
                        currency: NGN
                        card_hash: 7dc7b98c-7f6d-48f3-9b31-859a145c8085
                        card_pan: '5366130719043293'
                        masked_pan: 536613*******3293
                        city: Lekki
                        state: Lagos
                        address_1: 19, Olubunmi Rotimi
                        address_2: null
                        zip_code: '23401'
                        cvv: '267'
                        expiration: 2023-01
                        send_to: null
                        bin_check_name: null
                        card_type: mastercard
                        name_on_card: Jermaine Graham
                        created_at: '2020-01-17T18:31:48.97Z'
                        is_active: true
                        callback_url: https://your-callback-url.com/
              example:
                status: success
                message: Card fetched successfully
                data:
                  id: 7dc7b98c-7f6d-48f3-9b31-859a145c8085
                  account_id: 65637
                  amount: 20,000.00
                  currency: NGN
                  card_hash: 7dc7b98c-7f6d-48f3-9b31-859a145c8085
                  card_pan: '5366130719043293'
                  masked_pan: 536613*******3293
                  city: Lekki
                  state: Lagos
                  address_1: 19, Olubunmi Rotimi
                  address_2: null
                  zip_code: '23401'
                  cvv: '267'
                  expiration: 2023-01
                  send_to: null
                  bin_check_name: null
                  card_type: mastercard
                  name_on_card: Jermaine Graham
                  created_at: '2020-01-17T18:31:48.97Z'
                  is_active: true
                  callback_url: https://your-callback-url.com/
      deprecated: false
components:
  schemas:
    SuccessfulSampleResponse1:
      title: SuccessfulSampleResponse1
      required:
        - status
        - message
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        data:
          $ref: '#/components/schemas/Data45'
      example:
        status: success
        message: Card fetched successfully
        data:
          id: 7dc7b98c-7f6d-48f3-9b31-859a145c8085
          account_id: 65637
          amount: 20,000.00
          currency: NGN
          card_hash: 7dc7b98c-7f6d-48f3-9b31-859a145c8085
          card_pan: '5366130719043293'
          masked_pan: 536613*******3293
          city: Lekki
          state: Lagos
          address_1: 19, Olubunmi Rotimi
          address_2: null
          zip_code: '23401'
          cvv: '267'
          expiration: 2023-01
          send_to: null
          bin_check_name: null
          card_type: mastercard
          name_on_card: Jermaine Graham
          created_at: '2020-01-17T18:31:48.97Z'
          is_active: true
          callback_url: https://your-callback-url.com/
    Data45:
      title: Data45
      required:
        - id
        - account_id
        - amount
        - currency
        - card_hash
        - card_pan
        - masked_pan
        - city
        - state
        - address_1
        - address_2
        - zip_code
        - cvv
        - expiration
        - send_to
        - bin_check_name
        - card_type
        - name_on_card
        - created_at
        - is_active
        - callback_url
      type: object
      properties:
        id:
          type: string
        account_id:
          type: integer
          format: int32
        amount:
          type: string
        currency:
          type: string
        card_hash:
          type: string
        card_pan:
          type: string
        masked_pan:
          type: string
        city:
          type: string
        state:
          type: string
        address_1:
          type: string
        address_2:
          type: string
          nullable: true
        zip_code:
          type: string
        cvv:
          type: string
        expiration:
          type: string
        send_to:
          type: string
          nullable: true
        bin_check_name:
          type: string
          nullable: true
        card_type:
          type: string
        name_on_card:
          type: string
        created_at:
          type: string
        is_active:
          type: boolean
        callback_url:
          type: string
      example:
        id: 7dc7b98c-7f6d-48f3-9b31-859a145c8085
        account_id: 65637
        amount: 20,000.00
        currency: NGN
        card_hash: 7dc7b98c-7f6d-48f3-9b31-859a145c8085
        card_pan: '5366130719043293'
        masked_pan: 536613*******3293
        city: Lekki
        state: Lagos
        address_1: 19, Olubunmi Rotimi
        address_2: null
        zip_code: '23401'
        cvv: '267'
        expiration: 2023-01
        send_to: null
        bin_check_name: null
        card_type: mastercard
        name_on_card: Jermaine Graham
        created_at: '2020-01-17T18:31:48.97Z'
        is_active: true
        callback_url: https://your-callback-url.com/
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````